#
# spec file for package iwlwifi (Version 1.2.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           iwlwifi
Url:            http://intellinuxwireless.org/
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Intel Wireless Link WiFi drivers
Version:        1.2.0
Release:        0.1
Group:          System/Kernel
License:        BSD 3-Clause; GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Source:         iwlwifi-%{version}.tar.bz2
Patch1:         iwlwifi-makefile.diff
Source1:        preamble
%suse_kernel_module_package -n iwlwifi -p %_sourcedir/preamble kdump um

%description
This package contains kernel modules for Intel PRO/Wireless 3945ABG/BG
and Intel Wireless WiFi Link 4965AGN adapters.



Authors:
--------
    James P. Ketrenos <ipw2100-admin@linux.intel.com>

%package -n iwlwifi-KMP
Group:          System/Kernel
License:        BSD 3-Clause; GPL v2 or later
Summary:        Intel Wireless Link WiFi drivers

%description -n iwlwifi-KMP
This package contains kernel modules for Intel PRO/Wireless 3945ABG/BG
and Intel Wireless WiFi Link 4965AGN adapters.



Authors:
--------
    James P. Ketrenos <ipw2100-admin@linux.intel.com>

%prep
%setup
%patch1 -p1

%build
( make KSRC=/usr/src/linux source ; exit 0 )
for flavor in %flavors_to_build ; do
  rm -rf $flavor
  cp -r compatible $flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/$flavor CONFIG_IWL4965=m CONFIG_IWL3945=m
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build ; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/$flavor
done

%clean
test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 29 2007 - jg@suse.de
- update to 1.2.0 (bug 344917), changes (shortened):
  * avoid firmware command sending if rfkill is enabled
  * fix ucode assertion for RX queue overrun
  * enhance WPA authenication stability
  * iwl3945: re-align 3945 event log data
  * Disable interrupts in the iwlwifi before calling request_irq() for
  * replace 0x8086 with PCI_VENDOR_ID_INTEL
  * iwl4965: fix cannot find a suitable rate issue
  * set correct base rate for A band in rs_dbgfs_set_mcs
  * iwl3945: fix direct scan problem
  * iwl3945: cancel scan on rxon command
  * iwl4965: fix scan problem
  * iwl4965: fix driver hang related to hardware scan
  * iwl4965: exclude 60M rate from probe request
  * iwlwifi-ht: move 4965 SCD registers to iwl-prph.h
  * Fix rate setting in probe request for HW sacn
  * replacing wording restricted to nic access in iwl-io
  * accept up to 4K frame size on Rx side to fit A-MSDU frame
  * fix sending probe request in iwl 4965
  * iwl4965-base.c: fix off-by-one errors
  * using PCI_DEVICE macro
  * remove cck_power_index_compensation
  * remove late null-check and duplicate bug_on
  * add TGN flag to qos parameters
  * fix fixed rate debugfs for A phymode
  * partially revert add_station to avoid FW error
  * Correction for sending beacon in config_ap
- enable support for debug messages, spectrum measurement, sensitivity
  calibration, and QOS
* Mon Sep 24 2007 - cthiel@suse.de
- update to 1.1.0
  * Fix out of tree compile configuration
  * fix compile error when CONFIG_IWLWIFI_QOS is not defined
  * Update stubs/ISSUES for PV 1.1.0
* Fri Sep 14 2007 - jg@suse.de
- update to 0.1.16
  * workaournd REPLY_COMPRESSED_BA command in iwl_rx_handle
  * iwl_bg_post_associate should not be called in AP context
  * add hwcrypto clear key support
  * cleanup upstream Makefile
  * fix ieee80211_rx_status->mactime update
  * fix compile error when CONFIG_IWLWIFI_QOS is not defined
  * use mac80211's indication for packet ACK when hwcrypto=1
  * fix alignment of rate scaling function
  * Fix station management
  * enable HT setting for AP associated stations
  * Fix AP QoS also for 3945
  * Fix TX queue to TX fifo mapping
  * fix setting SW rf-kill failure
  * fix rate scale unloading
  * Control channel fix for FAT channel
  * FAT channel bug fix for zero relevant bits
  * fixing LQ command changes in AP mode
  * avoid kernel oops in monitor mode with debug enabled
* Mon Sep 10 2007 - jg@suse.de
- update to 0.1.15
  * workaournd REPLY_COMPRESSED_BA command in iwl_rx_handle
  * remove iwl4965_set_rxon_chain from add station
  * Fix TX queue to TX fifo mapping
  * fix setting SW rf-kill failure
  * Control channel fix for FAT channel
  * FAT channel bug fix for zero relevant bits
  * fixing LQ command changes in AP mode
  * avoid kernel oops in monitor mode with debug enabled
* Fri Aug 31 2007 - jg@suse.de
- update to 0.1.14
  * fix aggregation tx status
  * fix IBSS connection problem caused by LinkQuality cmd change
  * AP setup qos and tx_conf bug fix
  * setting RAxTID endianity fix
  * CSR registers cleanup
  * fix assert when calling LinkQuality command
  * make "ipw going down" debug message depends on IWL_DL_INFO
  * iwl-base.c bugfixes
* Mon Aug 27 2007 - jg@suse.de
- update to 0.1.12
  * fix aggregation problem
  * fix 11n connection problem
  * fix rs_get_best_rate to pick up the right rate
  * rate scale quality command fix
  * fix iwl_send_cmd_async return value bug
  * remove atheros turbo modes
* Fri Aug 24 2007 - jg@suse.de
- update to 0.1.11
  * rate scaling - up scaling fix
  * remove unused code
  * typo fix for CONFIG_IWLWIFI_SPECTRUM_MEASUREMENY
  * add 10-preferred_rate_control.patch compatibility support
  * fix iwl_grab_restricted_access return code
* Mon Aug 20 2007 - jg@suse.de
- update to 0.1.9, changes (shortened):
  * fix priv->hcmd_lock uninitialized problem
  * AP mode beacon update
  * endianity fixes
  * remove unnecessary spinlocks
  * MSI support (rev3)
  * cleanups
- un-obsolete ipw3945-kmp and ipw3945d, to allow parallel installed
  ipw3945
* Fri Aug 03 2007 - jg@suse.de
- update to 0.1.8, changes:
  * TX aggregation fix
  * Endianity fixes
  * fix rate setting in beacon command
- obsolete ipw3945-kmp, ipw3945d, and wlan-kmp
* Mon Jul 30 2007 - jg@suse.de
- update to 0.1.6, changes (shortended):
  * workaround uCode REPLY_4965_RX cmd bug
  * Endainity fixed
  * Add uCode/driver compatibility version number
  * fix scaing watchdog time out
  * fix channel switch assert
  * fix 11n on 2.4 channel
  * EEPROM reading fix
  * modify station fix
  * Calculate and report noise level while associated
  * provide frequency to radiotap monitor not channel index
  * workaround firmware STATISTICS_NOTIFICATION cmd bug
  * IBSS connection fix
  * rate scaling enabling SGI in MIMO
  * Fix aggregation disable locking issue
  * fix iwl3945 not usable when loading with hw rfkill on
  * fix iwl_hw_nic_reset in iwl3945
  * fix power save for AP mode
  * mac80211 HT and HT_AGG features auto detection
  * fix firmware error after switch txpower in A band
* Tue Jul 24 2007 - jg@suse.de
- update to 0.1.2, changes (shortenend):
  * fix cannot ping AP after rfkill on->off
  * fix firmware error after txpower off->on
  * fix driver unusable when loading with HW RFKILL on
  * Fix 4965 A-band scans showing incorrect channels
  * fix a kernel panic bug during module unload
  * Fix bug in iwl4965_sens_energy_cck(), improves performance
  * fix post association for 3945
  * fix post association for 4965
  * fix add station error on scanning
  * set ready flag after post assoc
  * fix scan problems
  * fix post assoc on 4965
  * switch to use G mode by default
* Sat Jul 21 2007 - ro@suse.de
- no main package, no debuginfo
* Tue Jul 03 2007 - jg@suse.de
- update to 0.0.34, changes:
  * Fix iwl4965 stability issue
  * clean fill link quall cmd
  * fix legacy counter
  * fix scaning while calling d_config_interface
  * fix rate scaling issues
  * fix sinsitivity error
  * Unify and streamline 3945 and 4965 uCode load and launch
  * iwl4965: Fix possible sign/endian problem with voltage compensation
  * iwl3945: Fix problem with limited Tx power
  * Fixed some issues while porting to a PowerPC Platform
  * rs_rate_scale_perform cleanup
  * add 8086:4230 pci id for iwl4965
  * Fix beacon interval difference between 3945 and 4965
  * Fix iwl4965_kw_init coding style
- dropped obsolete patch iwlwifi-pci_id.diff
* Tue Jun 19 2007 - jg@suse.de
- initial package
